Package org.opensaml.xacml.policy

# Interface CombinerParameterType

All Superinterfaces:
  `XACMLObject`, `XMLObject`

All Known Implementing Classes:
  `CombinerParameterTypeImpl`

public interface CombinerParameterType extends XACMLObject
XACML CombinerParameter schema type.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Local name of the element CombinerParameters.
`static final QName`
`DEFAULT_ELEMENT_NAME`
QName of the element CombinerParameters.
`static final String`
`PARAMETER_NAMEATTRIB_NAME`
ParameterName attribute name.
`static final String`
`SCHEMA_TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`SCHEMA_TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`AttributeValueType`
`getAttributeValue()`
Gets the attribute value type for this parameter.
`String`
`getParameterName()`
Gets the parameter name.
`void`
`setAttributeValue(AttributeValueType value)`
Sets the attribute value type for this parameter.
`void`
`setParameterName(String name)`
Sets the parameter name.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

static final String DEFAULT_ELEMENT_LOCAL_NAME
Local name of the element CombinerParameters.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

static final QName DEFAULT_ELEMENT_NAME
QName of the element CombinerParameters.

### SCHEMA_TYPE_LOCAL_NAME

static final String SCHEMA_TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### SCHEMA_TYPE_NAME

static final QName SCHEMA_TYPE_NAME
QName of the XSI type.

### PARAMETER_NAMEATTRIB_NAME

static final String PARAMETER_NAMEATTRIB_NAME
ParameterName attribute name.

See Also:
  - Constant Field Values

## Method Details

### getAttributeValue

AttributeValueType getAttributeValue()
Gets the attribute value type for this parameter.

Returns:
  attribute value type for this parameter

### setAttributeValue

void setAttributeValue(AttributeValueType value)
Sets the attribute value type for this parameter.

Parameters:
  `value` - attribute value type for this parameter

### getParameterName

String getParameterName()
Gets the parameter name.

Returns:
  the parameter name

### setParameterName

void setParameterName(String name)
Sets the parameter name.

Parameters:
  `name` - the parameter name